## Class Swift_Events_SimpleEventDispatcher

(line 27)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Events/SimpleEventDispatcher.php

##### The EventDispatcher which handles the event dispatching layer.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Events_SimpleEventDispatcher __construct ()
void bindEventListener (Swift_Events_EventListener $listener)
Swift_Events_CommandEvent createCommandEvent (Swift_Transport $source, string $command, [array $successCodes = array()])
Swift_Events_ResponseEvent createResponseEvent (Swift_Transport $source, string $response, boolean $valid)
Swift_Events_SendEvent createSendEvent (Swift_Transport $source, Swift_Mime_Message $message)
Swift_Events_TransportChangeEvent createTransportChangeEvent (Swift_Transport $source)
Swift_Events_TransportExceptionEvent createTransportExceptionEvent (Swift_Transport $source, Swift_TransportException $ex)
void dispatchEvent (Swift_Events_EventObject $evt, string $target)

#### Constructor __construct (line 42)

#### Swift_Events_SimpleEventDispatcher __construct( )

##### Create a new EventDispatcher.

#### Info

- access - public

#### Method bindEventListener (line 123)

#### void bindEventListener( Swift_Events_EventListener $listener)

Implementation of:

Swift_Events_EventDispatcher::bindEventListener()
  Bind an event listener to this dispatcher.

##### Bind an event listener to this dispatcher.

#### Parameters

- Swift_Events_EventListener $listener:

#### Info

- access - public

#### Method createCommandEvent (line 74)

#### Swift_Events_CommandEvent createCommandEvent( Swift_Transport $source, string $command, [array $successCodes = array()])

Implementation of:

Swift_Events_EventDispatcher::createCommandEvent()
  Create a new CommandEvent for $source and $command.

##### Create a new CommandEvent for $source and $command.

#### Parameters

- Swift_Transport $source:
- string $command: That will be executed
- array $successCodes: That are needed

#### Info

- access - public

#### Method createResponseEvent (line 88)

#### Swift_Events_ResponseEvent createResponseEvent( Swift_Transport $source, string $response, boolean $valid)

Implementation of:

Swift_Events_EventDispatcher::createResponseEvent()
  Create a new ResponseEvent for $source and $response.

##### Create a new ResponseEvent for $source and $response.

#### Parameters

- Swift_Transport $source:
- string $response:
- boolean $valid: If the response is valid

#### Info

- access - public

#### Method createSendEvent (line 60)

#### Swift_Events_SendEvent createSendEvent( Swift_Transport $source, Swift_Mime_Message $message)

Implementation of:

Swift_Events_EventDispatcher::createSendEvent()
  Create a new SendEvent for $source and $message.

##### Create a new SendEvent for $source and $message.

#### Parameters

- Swift_Transport $source:
- Swift_Mime_Message $message:

#### Info

- access - public

#### Method createTransportChangeEvent (line 100)

#### Swift_Events_TransportChangeEvent createTransportChangeEvent( Swift_Transport $source)

Implementation of:

Swift_Events_EventDispatcher::createTransportChangeEvent()
  Create a new TransportChangeEvent for $source.

##### Create a new TransportChangeEvent for $source.

#### Parameters

- Swift_Transport $source:

#### Info

- access - public

#### Method createTransportExceptionEvent (line 112)

#### Swift_Events_TransportExceptionEvent createTransportExceptionEvent( Swift_Transport $source, Swift_TransportException $ex)

Implementation of:

Swift_Events_EventDispatcher::createTransportExceptionEvent()
  Create a new TransportExceptionEvent for $source.

##### Create a new TransportExceptionEvent for $source.

#### Parameters

- Swift_Transport $source:
- Swift_TransportException $ex:

#### Info

- access - public

#### Method dispatchEvent (line 142)

#### void dispatchEvent( Swift_Events_EventObject $evt, string $target)

Implementation of:

Swift_Events_EventDispatcher::dispatchEvent()
  Dispatch the given Event to all suitable listeners.

##### Dispatch the given Event to all suitable listeners.

#### Parameters

- Swift_Events_EventObject $evt:
- string $target: method

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:29 +0000 by phpDocumentor 1.4.3